services:
  couchdb:
    image: hereconnect/service-couchdb:${COUCHDB_TAG:-latest}

    ports:
      - "127.0.0.1:15984:5984"

    volumes:
      - couchdb_data:/opt/couchdb/data

    environment:
      - COUCHDB_USER=${COUCHDB_USER}
      - COUCHDB_PASSWORD=${COUCHDB_PASSWORD}

    restart: unless-stopped

    logging:
      driver: "json-file"
      options:
        max-size: "100m"
        max-file: "10"

volumes:
  couchdb_data:
